{
    attributes = (
        {
            allowsNull = Y; 
            columnName = headerID; 
            name = headerID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {columnName = id; name = id; valueClassName = NSNumber; valueType = i; }, 
        {
            allowsNull = Y; 
            columnName = messageID; 
            name = messageID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = payloadID; 
            name = payloadID; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            allowsNull = Y; 
            columnName = requestID; 
            name = requestID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = responseID; 
            name = responseID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = timestamp; 
            name = timestamp; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = version; 
            name = version; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = xmlLang; 
            name = xmlLang; 
            valueClassName = NSString; 
            valueType = S; 
        }
    ); 
    attributesUsedForLocking = (
        headerID, 
        id, 
        messageID, 
        payloadID, 
        requestID, 
        responseID, 
        timestamp, 
        version, 
        xmlLang
    ); 
    className = "org.cocktail.fwkcktlb2b.cxml.server.metier.EOCxml"; 
    classProperties = (header, message, payloadID, request, response, timestamp, version, xmlLang); 
    externalName = Cxml; 
    fetchSpecificationDictionary = {}; 
    name = Cxml; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = Header; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = headerID; }); 
            name = header; 
        }, 
        {
            destination = Message; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = messageID; }); 
            name = message; 
        }, 
        {
            destination = Request; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = requestID; }); 
            name = request; 
        }, 
        {
            destination = Response; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = responseID; }); 
            name = response; 
        }
    ); 
}
